### Function

# Camel DBCollate

since: 2.24

#### Declaration

    gint
    (* CamelDBCollate) (
      gpointer enc,
      gint length1,
      gconstpointer data1,
      gint length2,
      gconstpointer data2
    )

#### Description [src]

A collation callback function.

Available since: 2.24

#### Parameters

`enc`

  Type: `gpointer`

  A used encoding (SQLITE_UTF8).

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`length1`

  Type: `gint`

  Length of the `data1`.

`data1`

  Type: `gconstpointer`

  The first value, of lenth `length1`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`length2`

  Type: `gint`

  Length of the `data2`.

`data2`

  Type: `gconstpointer`

  The second value, of lenth `length2`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

Less than zero, zero, or greater than zero value, the same as for example `strcmp()` does.